<?php global $themeoptionsprefix,$has_Producer_CSS_Styling_Tool; ?>

<?php

if($has_Producer_CSS_Styling_Tool == 1)
{
	$logosloganbackgroundcolor=get_option($themeoptionsprefix.'_color_background_R2');
	$logosloganbackgroundimage=get_option($themeoptionsprefix.'_style_background_image_R2');
	$logosloganbackgroundimagerepeat=get_option($themeoptionsprefix.'_style_background_image_repeat_R2');
	$logosloganh1titlea=get_option($themeoptionsprefix.'_color_colorh1title_R2');
	$logosloganh1titleahover=get_option($themeoptionsprefix.'_color_hovercolorh1title_R2');
	$logosloganhtaglinetexttransform=get_option($themeoptionsprefix.'_style_text_transform_tagline');
	$logosloganhtaglinetextstyle=get_option($themeoptionsprefix.'_style_text_style_tagline');
	$logosloganhtaglinetextcolor=get_option($themeoptionsprefix.'_color_text_color_tagline');
	$logoslogantitleh1texttransform=get_option($themeoptionsprefix.'_style_text_transform_titleh1_R2');
	$logoslogantitleh1fontsize=get_option($themeoptionsprefix.'_style_fontsize_titleh1_R2');
	$logoslogantitletextshadow=get_option($themeoptionsprefix.'_style_logo_title_text_shadow_R2');
	$logoslogantitletextshadowcolor=get_option($themeoptionsprefix.'_color_logo_title_text_shadow_R2');
	$logosloganbackgroundimageheight=get_option($themeoptionsprefix.'_style_background_image_height_R2');
	$logosloganrowheight=get_option($themeoptionsprefix.'_style_row_height_R2');
	$logosloganH1toppadding=get_option($themeoptionsprefix.'_style_top_padding_title_R2');
	$logoslogantaglinetoppadding=get_option($themeoptionsprefix.'_style_top_padding_tagline');

	if(!isset($logosloganbackgroundcolor) || empty($logosloganbackgroundcolor))
	{
		$logosloganbackgroundcolor="none";
	}
	if(!isset($logosloganh1titlea) || empty($logosloganh1titlea))
	{
		$logosloganh1titlea="#B50D04";
	}
	if(!isset($logosloganh1titleahover) || empty($logosloganh1titleahover))
	{
		$logosloganh1titleahover="#000000";
	}
	if(!isset($logosloganhtaglinetexttransform) || empty($logosloganhtaglinetexttransform))
	{
		$logosloganhtaglinetexttransform="capitalize";
	}
	if(!isset($logosloganhtaglinetextstyle) || empty($logosloganhtaglinetextstyle))
	{
		$logosloganhtaglinetextstyle="italic";
	}
	if(!isset($logosloganhtaglinetextcolor) || empty($logosloganhtaglinetextcolor))
	{
		$logosloganhtaglinetextcolor="#444444";
	}
	if(!isset($logoslogantitleh1texttransform) || empty($logoslogantitleh1texttransform))
	{
		$logoslogantitleh1texttransform="capitalize";
	}
	if(!isset($logoslogantitleh1fontsize) || empty($logoslogantitleh1fontsize))
	{
		$logoslogantitleh1fontsize="1.9em";
	}
	if(!isset($c12_bodylogotitletextshadowcolor) || empty($c12_bodylogotitletextshadowcolor))
	{
		$logoslogantitletextshadowcolor="#444444";
	}

	if(!isset($logosloganH1toppadding) || empty($logosloganH1toppadding))
	{
		$logosloganH1toppadding="0";
	}

	if(!isset($logoslogantaglinetoppadding) || empty($logoslogantaglinetoppadding))
	{
		$logoslogantaglinetoppadding="30";
	}

	if($logosloganbackgroundimagerepeat == "No Repeat")
	{
		$logosloganbackgroundimagerepeat="no-repeat";
	}
	elseif($logosloganbackgroundimagerepeat == "Repeat X-axis")
	{
		$logosloganbackgroundimagerepeat="repeat-x";
	}
	elseif($logosloganbackgroundimagerepeat == "Repeat Y-axis")
	{
		$logosloganbackgroundimagerepeat="repeat-y";
	}
	elseif($logosloganbackgroundimagerepeat == "Repeat All")
	{
		$logosloganbackgroundimagerepeat="repeat";
	}
?>
	#maincontainer .sitetitle
	{
		background-color:<?php echo $logosloganbackgroundcolor; ?>;
		color:<?php echo $logosloganh1titlea; ?>;


		<?php

		if(isset($logosloganbackgroundimage) && !empty($logosloganbackgroundimage) && ($logosloganbackgroundimage != 'none'))
		{
		?>
			background-image:url(<?php echo $logosloganbackgroundimage; ?>);
			background-repeat:<?php echo $logosloganbackgroundimagerepeat;?>;
			height:<?php echo $logosloganbackgroundimageheight; ?>px;

		<?php

		}

		?>

		<?php
		if(isset($logosloganrowheight) && !empty($logosloganrowheight))
		{
		?>
		height:<?php echo $logosloganrowheight; ?>px;
		<?php } ?>
	}

	#maincontainer .sitetitle .logo { padding-top:<?php echo $logosloganH1toppadding; ?>px; }

	#maincontainer .sitetitle .logo h1, #maincontainer .sitetitle .logo h1 a {
	color:<?php echo $logosloganh1titlea; ?>;
	text-transform:<?php echo $logoslogantitleh1texttransform; ?> ;
	font-size:<?php echo $logoslogantitleh1fontsize; ?> ;
	text-decoration:none;
	}

	#maincontainer .sitetitle .logo h1 a:hover { color:<?php echo $logosloganh1titleahover; ?>; }

	<?php if($logoslogantitletextshadow != 'off' ){?>
	#maincontainer .sitetitle .logo h1,#maincontainer .sitetitle .logo h1 a { text-shadow:<?php echo $logoslogantitletextshadowcolor; ?> 1px 1px 1px; }
	<?php } ?>

	#maincontainer .sitetitle .tagline {
	color:<?php echo $logosloganhtaglinetextcolor; ?>;
	text-transform:<?php echo $logosloganhtaglinetexttransform; ?> ;
	font-style: <?php echo $logosloganhtaglinetextstyle; ?>;
	padding-top:<?php echo $logoslogantaglinetoppadding; ?>px;
	}


<?php } else { ?>

	#maincontainer .sitetitle { color:#000000; }

	#maincontainer .sitetitle .logo { padding-top:0px; }

	#maincontainer .sitetitle .logo h1, #maincontainer .sitetitle .logo h1 a {
	color:#B50D04;
	text-transform:capitalize;
	font-size:1.9em;
	text-decoration:none;
	}

	#maincontainer .sitetitle .logo h1 a:hover { color:#000000; }

	#maincontainer .sitetitle .tagline {
	color:#000000;
	text-transform:capitalize;
	font-style:normal;
	padding-top:30px;
	}

	#maincontainer .sitetitle .logo h1,#maincontainer .sitetitle .logo h1 a { text-shadow:#444444 1px 1px 1px; }

<?php } ?>
