<?php global $themeoptionsprefix,$has_Producer_CSS_Styling_Tool;?>
<?php

if($has_Producer_CSS_Styling_Tool == 1)
{
	$stickypostsbackgroundcolor=get_option($themeoptionsprefix.'_color_background_stickyposts');
	$stickypostsbackgroundimage=get_option($themeoptionsprefix.'_style_background_image_stickyposts');
	$stickypostsbackgroundimageheight=get_option($themeoptionsprefix.'_style_background_image_height_stickyposts');
	$stickypostsbackgroundimagerepeat=get_option($themeoptionsprefix.'_style_background_image_stickyposts_repeat');
	$stickypostsfontcolor=get_option($themeoptionsprefix.'_color_fontcolor_stickyposts');
	$stickypostsH2backgroundcolor=get_option($themeoptionsprefix.'_color_background_h2_stickyposts');
	$stickypostsH2backgroundimage=get_option($themeoptionsprefix.'_style_background_image_h2_stickyposts');
	$stickypostsH2backgroundimageheight=get_option($themeoptionsprefix.'_style_H2_background_image_height_stickyposts');
	$stickypostsH2backgroundimagerepeat=get_option($themeoptionsprefix.'_style_background_image_h2_stickyposts_repeat');
	$stickypostsH2fontcolor=get_option($themeoptionsprefix.'_color_fontcolor_h2_stickyposts');
	$stickypostsH3fontcolor=get_option($themeoptionsprefix.'_color_fontcolor_h3_stickyposts');
	$stickypostslinkcolor=get_option($themeoptionsprefix.'_color_linkcolor_stickyposts');
	$stickypostsH2paddingleft=get_option($themeoptionsprefix.'_style_h2_padding_left_stickyposts');
	$stickypostsH2paddingtop=get_option($themeoptionsprefix.'_style_h2_padding_top_stickyposts');

	if(!isset($stickypostsH2paddingtop) || empty($stickypostsH2paddingtop)) { $stickypostsH2paddingtop=0; }
	if(!isset($stickypostsH2paddingleft) || empty($stickypostsH2paddingleft)) { $stickypostsH2paddingleft=0; }


	if($stickypostsbackgroundimagerepeat == "No Repeat")
	{
		$stickypostsbackgroundimagerepeat="no-repeat";
	}
	elseif($stickypostsbackgroundimagerepeat == "Repeat X-axis")
	{
		$stickypostsbackgroundimagerepeat="repeat-x";
	}
	elseif($stickypostsbackgroundimagerepeat == "Repeat Y-axis")
	{
		$stickypostsbackgroundimagerepeat="repeat-y";
	}
	elseif($stickypostsbackgroundimagerepeat == "Repeat All")
	{
		$stickypostsbackgroundimagerepeat="repeat";
	}
	if($stickypostsH2backgroundimagerepeat == "No Repeat")
	{
		$stickypostsH2backgroundimagerepeat="no-repeat";
	}
	elseif($stickypostsH2backgroundimagerepeat == "Repeat X-axis")
	{
		$stickypostsH2backgroundimagerepeat="repeat-x";
	}
	elseif($stickypostsH2backgroundimagerepeat == "Repeat Y-axis")
	{
		$stickypostsH2backgroundimagerepeat="repeat-y";
	}
	elseif($stickypostsH2backgroundimagerepeat == "Repeat All")
	{
		$stickypostsH2backgroundimagerepeat="repeat";
	}

	if(!isset($stickypostsbackgroundcolor) || empty($stickypostsbackgroundcolor))
	{
		$stickypostsbackgroundcolor="none";
	}
	if(!isset($stickypostsfontcolor) || empty($stickypostsfontcolor))
	{
		$stickypostsfontcolor="000000";
	}
	if(!isset($stickypostsH2backgroundcolor) || empty($stickypostsH2backgroundcolor))
	{
		$stickypostsH2backgroundcolor="#f2f2f2";
	}
	if(!isset($stickypostsH2fontcolor) || empty($stickypostsH2fontcolor))
	{
		$stickypostsH2fontcolor="#CC0000";
	}
	if(!isset($stickypostsH3fontcolor) || empty($stickypostsH3fontcolor))
	{
		$stickypostsH3fontcolor="#666666";
	}
	if(!isset($stickypostslinkcolor) || empty($stickypostslinkcolor))
	{
		$stickypostslinkcolor="#666666";
	}

?>


	.stickyposts
	{
		background-color:<?php echo $stickypostsbackgroundcolor; ?>;
		color:<?php echo $stickypostsfontcolor; ?>;
padding:0px 10px 10px;
width:96.8%;
		<?php

		if(isset($stickypostsbackgroundimage) && !empty($stickypostsbackgroundimage) && ($stickypostsbackgroundimage != 'none'))
		{
		?>
			background-image:url(<?php echo $stickypostsbackgroundimage; ?>);
			background-repeat:<?php echo $stickypostsbackgroundimagerepeat;?>;
			height:<?php echo $stickypostsbackgroundimageheight; ?>px;

		<?php

		}

		?>
	}

	.stickyposts h2 {
		background-color:<?php echo $stickypostsH2backgroundcolor; ?>;
		color:<?php echo $stickypostsH2fontcolor; ?>;

		<?php
		if(isset($stickypostsH2backgroundcolor) && !empty($stickypostsH2backgroundcolor) && ($stickypostsH2backgroundcolor == 'none'))
		{
		?>
			padding:0;
		<?php } ?>

		<?php
		if(isset($stickypostsH2backgroundimage) && !empty($stickypostsH2backgroundimage) && ($stickypostsH2backgroundimage != 'none'))
		{
		?>
			background-image:url(<?php echo $stickypostsH2backgroundimage; ?>);
			background-repeat:<?php echo $stickypostsH2backgroundimagerepeat;?>;
			height:<?php echo $stickypostsH2backgroundimageheight; ?>px;
			padding-left:<?php echo $stickypostsH2paddingleft; ?>px;
			padding-top:<?php echo $stickypostsH2paddingtop; ?>px;
		<?php

		}

		?>	}

	.stickyposts h2 a {
	color:<?php echo $stickypostsH2fontcolor; ?>;
	}

	.stickyposts h3, .stickyposts h3 a {
	color:<?php echo $stickypostsH3fontcolor; ?>;
	}

	.stickyposts a {
	color:<?php echo $stickypostslinkcolor; ?>;
	}

.stickycontent {}

.stickyshowhide {
float:right;
font-size:11px;
margin-right:20px;
margin-top:10px;
text-shadow:none;
font-weight:normal;
}
<?php } else { ?>

.stickyposts { padding:0px 10px 10px; width:96.8%; }

.stickyshowhide {
float:right;
font-size:11px;
margin-right:20px;
margin-top:10px;
text-shadow:none;
font-weight:normal;
}

.stickycontent {}

	.stickyposts h2 {
		background-color:#f2f2f2;
		color:#666666;
	}

<?php } ?>