<?php global $themeoptionsprefix; ?>
<?php $indexexcerptorfull=get_option($themeoptionsprefix.'_blogmodeindexpage_excerptorfull'); ?>
<?php $indexexcerptlength=get_option($themeoptionsprefix.'_blogmodeindexpage_excerptlength'); ?>

<?php if(!isset($indexexcerptorfull) || empty($indexexcerptorfull) ) { $indexexcerptorfull ="fulltext"; } ?>
<?php if(!isset($indexexcerptlength) || empty($indexexcerptlength) ) { $indexexcerptlength = 350; } ?>

<div class="postarea">

	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

			<div class="entry">
			<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent link to','Producer');?> <?php the_title(); ?>"><?php the_title(); ?></a></h2>
			<?php if(get_option($themeoptionsprefix.'_style_showhide_author_date_byline_index') != 'hide'){?>
			<div class="byline">
			<?php _e("Written by",'Producer');?> <?php the_author(); ?>
			<?php _e("on",'Producer');?> <?php the_time('d F Y'); ?>
			<br/>
			</div>
			<?php } ?>

			<?php if($indexexcerptorfull == 'excerpt') { ?>
			<div class="excerpt">
					 <?php bdw_get_images($post->ID,$width='100',$height='',$thumborno='1',$imgstyle='imgstylefloat');  ?>

					 <?php

					 $rcsspthec = get_the_excerpt();
					 if (!isset($rcsspthec) || empty($rcsspthec))
					 {
					     $rcsspthec = get_the_content();
					 }

					$rcsspthec = strip_tags($rcsspthec);
					$rcsspthec = str_replace(' ',' ',$rcsspthec );
					$rcsspthec = preg_replace( '|\[(.+?)\](.+?\[/\\1\])?|s', '', $rcsspthec );
					$rcsspthec = LimitText(trim($rcsspthec),10,$indexexcerptlength,"");

	 		   	  		echo "<p>$rcsspthec";

	 		   	  	?>

	 		   	  	<a href="<?php the_permalink() ?>" rel="bookmark"> Full Article </a></p>
	 		   	  	<div class="clear"></div>
				</div><!--close div class excerpt-->

					<?php } else { ?>
			<?php the_content(__('Read the rest of this entry &raquo;')); ?>
			<?php } ?>
			<div class="clear"></div>
			</div><!--close div class entry-->
			<div class="clear"></div>

	<?php endwhile; ?>

				<div class="paginav">
					<?php
						include('wp-pagenavi.php');
						if(function_exists('wp_pagenavi')) { wp_pagenavi(); }
					?>
			</div>

	<?php else : ?>


		<h2><?php _e('Not Found'); ?></h2>

		<p><?php _e('Sorry, but the page you requested cannot be found.'); ?></p>

		<h3><?php _e('Search'); ?></h3>

		<?php include (TEMPLATEPATH . '/searchform.php'); ?>

	<?php endif; ?>

</div><!--end postarea-->



