<?php global $themeoptionsprefix; ?>
<?php $archiveexcerptorfull=get_option($themeoptionsprefix.'_archivepage_excerptorfull'); ?>
<?php $archiveexcerptlength=get_option($themeoptionsprefix.'_archivepage_excerptlength'); ?>
<?php $includecategorydescription=get_option($themeoptionsprefix.'_includecategorydescription'); ?>

<?php if(!isset($archiveexcerptorfull) || empty($archiveexcerptorfull) ) { $archiveexcerptorfull ="excerpt"; } ?>
<?php if(!isset($archiveexcerptlength) || empty($archiveexcerptlength) ) { $archiveexcerptlength = 350; } ?>

<div class="postarea">

		<?php is_tag(); ?>
		<?php if (have_posts()) : ?>

 	  <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
 	  <?php /* If this is a category archive */ if (is_category()) { ?>
		<h1> &#8216;<?php single_cat_title(); ?>&#8217; <?php _e("Articles",'Producer'); ?></h1>
		<?php if($includecategorydescription == 'yes') { ?><div style="padding:10px;"><?php echo category_description( $category ); ?></div><?php  }?>
 	  <?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
		<h1><?php _e("Posts Tagged",'Producer'); ?> &#8216;<?php single_tag_title(); ?>&#8217;</h1>
 	  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h1><?php _e("Archive for",'Producer'); ?> <?php the_time('F jS, Y'); ?></h1>
 	  <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h1><?php _e("Archive for",'Producer'); ?> <?php the_time('F, Y'); ?></h1>
 	  <?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h1><?php _e("Archive for",'Producer'); ?> <?php the_time('Y'); ?></h1>
	  <?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h1><?php _e("Author Archive",'Producer'); ?></h1>
 	  <?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		<h1><?php _e("Blog Archives",'Producer'); ?></h1>
 	  <?php } ?>



		<?php while (have_posts()) : the_post(); ?>


<div class="entry">


 				<h2><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?> 	</a>	</h2>
			<?php if(get_option($themeoptionsprefix.'_style_showhide_author_date_byline_archives') != 'hide'){?>
			<div class="byline">
			<?php _e("Written by",'Producer');?> <?php the_author(); ?>
			<?php _e("on",'Producer');?> <?php the_time('d F Y'); ?>
			<br/>
			</div>
			<?php } ?>


		<?php if($archiveexcerptorfull == 'excerpt') { ?>

				<div class="excerpt">

					 <?php bdw_get_images($post->ID,$width='100',$height='',$thumborno='1',$imgstyle='imgstylefloat');  ?>

					 <?php

					 $rcsspthec = get_the_excerpt();
					 if (!isset($rcsspthec) || empty($rcsspthec))
					 {
					     $rcsspthec = get_the_content();
					 }

					$rcsspthec = strip_tags($rcsspthec);
					$rcsspthec = str_replace(' ',' ',$rcsspthec );
					$rcsspthec = preg_replace( '|\[(.+?)\](.+?\[/\\1\])?|s', '', $rcsspthec );
					$rcsspthec = LimitText(trim($rcsspthec),10,$archiveexcerptlength,"");

	 		   	  		echo "<p>$rcsspthec";

	 		   	  	?>

	 		   	  	<a href="<?php the_permalink() ?>" rel="bookmark"> Full Article </a></p>

				</div><!--close div class excerpt-->

					<?php } else { ?>

					<?php the_content(__('Read the rest of this entry &raquo;')); ?><div class="clear"></div>
					<p><?php the_tags('Tags: ', ', ', '<br />'); ?> Posted in <?php the_category(', ') ?> | <?php edit_post_link('Edit', '', ' | '); ?>  <?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?></p>

					<div class="margin20"></div>

					<?php } ?>

		</div><!--close div entry-->

						<div class="clear"></div>



		<?php endwhile; ?>


			<div class="paginav">
				<?php
					include('wp-pagenavi.php');
					if(function_exists('wp_pagenavi')) { wp_pagenavi(); }
				?>
			</div>


	<?php else : ?>

		<div class="npfsearchmsg">
			<h2>No posts found</h2>

			<p><?php _e("You were trying to browse",'Producer');?> <?php single_cat_title(); ?> <?php _e("Unfortunately there were no posts found.",'Producer');?></p>
		</div>

	<?php endif; ?>


</div><!--end postarea-->
