<?php global $themeoptionsprefix,$has_Producer_CSS_Styling_Tool;?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>

<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

<title><?php if ( is_home() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;<?php bloginfo('description'); ?><?php } ?><?php if ( is_search() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Search Results for  <?php printf(__('\'%s\''), $s); } ?><?php if ( is_single() ) { ?><?php wp_title(''); ?>&nbsp;|&nbsp;<?php bloginfo('name'); ?><?php } ?><?php if ( is_page() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;<?php wp_title(''); ?><?php } ?><?php if ( is_category() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Archive&nbsp;|&nbsp;<?php single_cat_title(); ?><?php } ?><?php if ( is_month() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Archive&nbsp;|&nbsp;<?php the_time('F'); ?><?php } ?><?php if (function_exists('is_tag')) { if ( is_tag() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Tag Archive&nbsp;|&nbsp;<?php  single_tag_title("", true); } } ?></title>
<link rel="shortcut icon" type="image/x-icon" href="<?php get_settings('home'); ?>/favicon.ico">
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<!--[if lte IE 6]><link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/style-ie6.css" type="text/css" media="screen" /><![endif]-->
<!--[if IE]><link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/style-ie.css" type="text/css" media="screen" /><![endif]-->
<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/pagenavi-css.css" type="text/css" media="screen" />
<style>
<?php include (TEMPLATEPATH . '/includes/styles/styles-body.php'); ?>
<?php include (TEMPLATEPATH . '/includes/styles/styles-thefrontpage.php'); ?>
<?php include (TEMPLATEPATH . '/includes/styles/styles-thecontent.php'); ?>
<?php include (TEMPLATEPATH . '/includes/styles/styles-adjust-width-for-sidebar.php'); ?>
<?php include (TEMPLATEPATH . '/includes/styles/styles-sidebar1.php'); ?>
<?php include (TEMPLATEPATH . '/includes/styles/styles-sidebar2.php'); ?>
<?php include (TEMPLATEPATH . '/includes/styles/styles-featured1.php'); ?>
<?php include (TEMPLATEPATH . '/includes/styles/styles-featured2.php'); ?>
<?php include (TEMPLATEPATH . '/includes/styles/styles-featured3.php'); ?>
<?php include (TEMPLATEPATH . '/includes/styles/styles-featured4.php'); ?>
<?php include (TEMPLATEPATH . '/includes/styles/styles-featured5.php'); ?>
<?php include (TEMPLATEPATH . '/includes/styles/styles-featured6.php'); ?>
<?php include (TEMPLATEPATH . '/includes/styles/styles-featured7.php'); ?>
<?php include (TEMPLATEPATH . '/includes/styles/styles-featured8.php'); ?>
<?php include (TEMPLATEPATH . '/includes/styles/styles-featured9.php'); ?>
<?php include (TEMPLATEPATH . '/includes/styles/styles-featured10.php'); ?>
<?php include (TEMPLATEPATH . '/includes/styles/styles-hmenu.php'); ?>
<?php include (TEMPLATEPATH . '/includes/styles/styles-logo-slogan.php'); ?>
<?php include (TEMPLATEPATH . '/includes/styles/styles-rss-search-bar.php'); ?>
<?php include (TEMPLATEPATH . '/includes/styles/styles-leader-row.php'); ?>
<?php include (TEMPLATEPATH . '/includes/styles/styles-stickyposts.php'); ?>
<?php include (TEMPLATEPATH . '/includes/styles/styles-footer.php'); ?>
</style>

<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php if ( get_option($themeoptionsprefix.'_feedburner_url') <> "" ) { echo get_option($themeoptionsprefix.'_feedburner_url'); } else { echo get_bloginfo_rss('rss2_url'); } ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<!--[if lte IE 7]>
	<script defer type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/pngfix.js"></script>
	<![endif]-->


	<?php wp_head(); ?>

</head>

<body>
<div id="wrapper">

<div id="maincontainer">

<?php
	$rsssearchrowpos=get_option($themeoptionsprefix.'_rsssearchrowpos');
	$hmenurowpos=get_option($themeoptionsprefix.'_hmenurowpos');
	$logosloganrowpos=get_option($themeoptionsprefix.'_logosloganrowpos');
	$leaderboardrowpos=get_option($themeoptionsprefix.'_leaderboardrowpos');

	if(!isset($rsssearchrowpos) || empty($rsssearchrowpos)){$rsssearchrowpos=2;}
	if(!isset($hmenurowpos) || empty($hmenurowpos)){$hmenurowpos=3;}
	if(!isset($logosloganrowpos) || empty($logosloganrowpos)){$logosloganrowpos=1;}
	if(!isset($leaderboardrowpos) || empty($leaderboardrowpos)){$leaderboardrowpos=4;}

	if( ($rsssearchrowpos == 1) && ($hmenurowpos == 1) && ($logosloganrowpos == 1) && ($leaderboardrowpos == 1) )
	{
		$rsssearchrowpos = 2;
		$hmenurowpos = 3;
		$logosloganrowpos = 1;
		$leaderboardrowpos = 4;
	}


?>
<?php 

if( (get_option($themeoptionsprefix.'_sidebar1pos') == 1) && (get_option($themeoptionsprefix.'_sidebar2pos') == 1) )
{ 
	update_option($themeoptionsprefix.'_sidebar1pos', 1);
	update_option($themeoptionsprefix.'_sidebar2pos', 3);
}

if( (get_option($themeoptionsprefix.'_sidebar1pos') == 2) && (get_option($themeoptionsprefix.'_sidebar2pos') == 2) )
{ 
	update_option($themeoptionsprefix.'_sidebar1pos', 2);
	update_option($themeoptionsprefix.'_sidebar2pos', 3);
}

if( (get_option($themeoptionsprefix.'_sidebar1pos') == 3) && (get_option($themeoptionsprefix.'_sidebar2pos') == 3) )
{ 
	update_option($themeoptionsprefix.'_sidebar1pos', 2);
	update_option($themeoptionsprefix.'_sidebar2pos', 3);
}

?>

<?php
if($rsssearchrowpos == 1){ $activaterss_search=get_option($themeoptionsprefix.'_rss_search_activate_row'); if($activaterss_search != 'deactivate'){ include (TEMPLATEPATH . '/includes/blocks/block_rss_search.php'); } }
elseif($hmenurowpos == 1){ $activatehmenu=get_option($themeoptionsprefix.'_activatehmenu'); $hmenupageorcat=get_option($themeoptionsprefix.'_hmenupageorcat'); if($activatehmenu != 'deactivate'){ include (TEMPLATEPATH . '/includes/blocks/block_hmenu.php'); } }
elseif($logosloganrowpos == 1){ include (TEMPLATEPATH . '/includes/blocks/block_logo_slogan.php'); }
elseif($leaderboardrowpos == 1){  $showhideleader=get_option($themeoptionsprefix.'_showhideleader'); if( isset($showhideleader) && !empty($showhideleader) && ($showhideleader != 'hide') ) { include (TEMPLATEPATH . '/includes/blocks/block_leaderboard.php'); } }
else { include (TEMPLATEPATH . '/includes/blocks/block_logo_slogan.php'); }
?>


<?php
if($rsssearchrowpos == 2){ $activaterss_search=get_option($themeoptionsprefix.'_rss_search_activate_row'); if($activaterss_search != 'deactivate'){ include (TEMPLATEPATH . '/includes/blocks/block_rss_search.php'); } }
elseif($hmenurowpos == 2){ $activatehmenu=get_option($themeoptionsprefix.'_activatehmenu'); $hmenupageorcat=get_option($themeoptionsprefix.'_hmenupageorcat'); if($activatehmenu != 'deactivate'){ include (TEMPLATEPATH . '/includes/blocks/block_hmenu.php'); } }
elseif($logosloganrowpos == 2){ include (TEMPLATEPATH . '/includes/blocks/block_logo_slogan.php'); }
elseif($leaderboardrowpos == 2){  $showhideleader=get_option($themeoptionsprefix.'_showhideleader'); if( isset($showhideleader) && !empty($showhideleader) && ($showhideleader != 'hide') ) { include (TEMPLATEPATH . '/includes/blocks/block_leaderboard.php'); } }
else { $activaterss_search=get_option($themeoptionsprefix.'_rss_search_activate_row'); if($activaterss_search != 'deactivate'){ include (TEMPLATEPATH . '/includes/blocks/block_rss_search.php'); } }


?>

<?php
if($rsssearchrowpos == 3){ $activaterss_search=get_option($themeoptionsprefix.'_rss_search_activate_row'); if($activaterss_search != 'deactivate'){ include (TEMPLATEPATH . '/includes/blocks/block_rss_search.php'); } }
elseif($hmenurowpos == 3){ $activatehmenu=get_option($themeoptionsprefix.'_activatehmenu'); $hmenupageorcat=get_option($themeoptionsprefix.'_hmenupageorcat'); if($activatehmenu != 'deactivate'){ include (TEMPLATEPATH . '/includes/blocks/block_hmenu.php'); } }
elseif($logosloganrowpos == 3){ include (TEMPLATEPATH . '/includes/blocks/block_logo_slogan.php'); }
elseif($leaderboardrowpos == 3){  $showhideleader=get_option($themeoptionsprefix.'_showhideleader'); if( isset($showhideleader) && !empty($showhideleader) && ($showhideleader != 'hide') ) { include (TEMPLATEPATH . '/includes/blocks/block_leaderboard.php'); } }
else { $activatehmenu=get_option($themeoptionsprefix.'_activatehmenu'); $hmenupageorcat=get_option($themeoptionsprefix.'_hmenupageorcat'); if($activatehmenu != 'deactivate'){ include (TEMPLATEPATH . '/includes/blocks/block_hmenu.php'); } }


?>

<?php
if($rsssearchrowpos == 4){ $activaterss_search=get_option($themeoptionsprefix.'_rss_search_activate_row'); if($activaterss_search != 'deactivate'){ include (TEMPLATEPATH . '/includes/blocks/block_rss_search.php'); } }
elseif($hmenurowpos == 4){ $activatehmenu=get_option($themeoptionsprefix.'_activatehmenu'); $hmenupageorcat=get_option($themeoptionsprefix.'_hmenupageorcat'); if($activatehmenu != 'deactivate'){ include (TEMPLATEPATH . '/includes/blocks/block_hmenu.php'); } }
elseif($logosloganrowpos == 4){ include (TEMPLATEPATH . '/includes/blocks/block_logo_slogan.php'); }
elseif($leaderboardrowpos == 4){  $showhideleader=get_option($themeoptionsprefix.'_showhideleader'); if( isset($showhideleader) && !empty($showhideleader) && ($showhideleader != 'hide') ) { include (TEMPLATEPATH . '/includes/blocks/block_leaderboard.php'); } }
else { $showhideleader=get_option($themeoptionsprefix.'_showhideleader'); if( isset($showhideleader) && !empty($showhideleader) && ($showhideleader != 'hide') ) { include (TEMPLATEPATH . '/includes/blocks/block_leaderboard.php'); } }

?>
<div class="clear"></div>


<div id="contentcontainer">
